baz_udp_source.h File Reference
`#include <gnuradio/sync_block.h>`
`#include <gnuradio/thread/thread.h>`
`#include <stdio.h>`
Include dependency graph for baz_udp_source.h:

Go to the source code of this file.

## Classes

class | UDP_SOURCE_NAME
| Read stream from an UDP socket. More...

## Macros

#define | INCLUDED_GR_UDP_SOURCE_H
#define | UDP_SOURCE_NAME gr_udp_source
#define | UDP_SOURCE_MAKER gr_make_udp_source
#define | UDP_SOURCE_SPTR gr_udp_source_sptr
#define | _TO_STR(x) #x
#define | UDP_SOURCE_STRING _TO_STR(UDP_SOURCE_NAME)

## Typedefs

typedef boost::shared_ptr< UDP_SOURCE_NAME > | UDP_SOURCE_SPTR

## Enumerations

enum | UDPProtocol { UP_COMPAT = -1 , UP_RAW , UP_BORIP , UP_ATA }

## Functions

BAZ_API UDP_SOURCE_SPTR | UDP_SOURCE_MAKER (size_t itemsize, const char *host, unsigned short port, int payload_size=1472, bool eof=true, bool wait=true, bool bor=false, bool verbose=false, size_t buf_size=0, int mode=UP_COMPAT)

## Variables

class BAZ_API | UDP_SOURCE_NAME

## Macro Definition Documentation

## _TO_STR

#define _TO_STR | ( |  | x | ) | #x

## INCLUDED_GR_UDP_SOURCE_H

#define INCLUDED_GR_UDP_SOURCE_H

## UDP_SOURCE_MAKER

#define UDP_SOURCE_MAKER gr_make_udp_source

## UDP_SOURCE_NAME

#define UDP_SOURCE_NAME gr_udp_source

## UDP_SOURCE_SPTR

#define UDP_SOURCE_SPTR gr_udp_source_sptr

## UDP_SOURCE_STRING

#define UDP_SOURCE_STRING _TO_STR(UDP_SOURCE_NAME)

## Typedef Documentation

## UDP_SOURCE_SPTR

typedef boost::shared_ptr<UDP_SOURCE_NAME> UDP_SOURCE_SPTR

## Enumeration Type Documentation

## UDPProtocol

enum UDPProtocol

Enumerator
UP_COMPAT |
UP_RAW |
UP_BORIP |
UP_ATA |

## Function Documentation

## UDP_SOURCE_MAKER()

BAZ_API UDP_SOURCE_SPTR UDP_SOURCE_MAKER | ( | size_t | itemsize,
|  | const char * | host,
|  | unsigned short | port,
|  | int | payload_size = `1472`,
|  | bool | eof = `true`,
|  | bool | wait = `true`,
|  | bool | bor = `false`,
|  | bool | verbose = `false`,
|  | size_t | buf_size = `0`,
|  | int | mode = `UP_COMPAT`
| ) |  |

## Variable Documentation

## UDP_SOURCE_NAME

class BAZ_API UDP_SOURCE_NAME